GNU Radio's GSM Package: gr::gsm Namespace Reference

GNU Radio's GSM Package

Classes | Typedefs | Enumerations | Functions | Variables
gr::gsm Namespace Reference

## Classes
class | burst_file_sink
| <+description of block+> More...
class | burst_file_sink_impl
class | burst_file_source
| <+description of block+> More...
class | burst_file_source_impl
class | burst_fnr_filter
| <+description of block+> More...
class | burst_fnr_filter_impl
class | burst_sdcch_subslot_filter
| <+description of block+> More...
class | burst_sdcch_subslot_filter_impl
class | burst_sdcch_subslot_splitter
| <+description of block+> More...
class | burst_sdcch_subslot_splitter_impl
class | burst_timeslot_filter
| <+description of block+> More...
class | burst_timeslot_filter_impl
class | burst_timeslot_splitter
| <+description of block+> More...
class | burst_timeslot_splitter_impl
class | bursts_printer
| <+description of block+> More...
class | bursts_printer_impl
class | chan_info
class | clock_offset_control
| <+description of block+> More...
class | clock_offset_control_impl
class | collect_system_info
| <+description of block+> More...
class | collect_system_info_impl
struct | compare_id
struct | compare_pwr
class | control_channels_decoder
| <+description of block+> More...
class | control_channels_decoder_impl
class | controlled_fractional_resampler_cc
| <+description of block+> More...
class | controlled_fractional_resampler_cc_impl
class | controlled_rotator_cc
| <+description of block+> More...
class | controlled_rotator_cc_impl
class | cx_channel_hopper
| <+description of block+> More...
class | cx_channel_hopper_impl
class | decryption
| <+description of block+> More...
class | decryption_impl
class | dummy_burst_filter
| <+description of block+> More...
class | dummy_burst_filter_impl
class | extract_cmc
| <+description of block+> More...
class | extract_cmc_impl
class | extract_immediate_assignment
| <+description of block+> More...
class | extract_immediate_assignment_impl
class | extract_system_info
| <+description of block+> More...
class | extract_system_info_impl
class | immediate_assignment
class | message_file_sink
| <+description of block+> More...
class | message_file_sink_impl
class | message_file_source
| <+description of block+> More...
class | message_file_source_impl
class | message_printer
| <+description of block+> More...
class | message_printer_impl
class | msg_to_tag
| <+description of block+> More...
class | msg_to_tag_impl
class | receiver
| <+description of block+> More...
class | receiver_impl
class | tch_f_chans_demapper
| <+description of block+> More...
class | tch_f_chans_demapper_impl
class | tch_f_decoder
| <+description of block+> More...
class | tch_f_decoder_impl
class | tmsi_dumper
| <+description of block+> More...
class | tmsi_dumper_impl
class | universal_ctrl_chans_demapper
| <+description of block+> More...
class | universal_ctrl_chans_demapper_impl

## Typedefs
typedef std::map< uint32_t, immediate_assignment > | immediate_assignment_map
typedef std::map< unsigned int, chan_info > | chan_info_map

## Enumerations
enum | tch_mode { TCH_AFS12_2, TCH_AFS10_2, TCH_AFS7_95, TCH_AFS7_4, TCH_AFS6_7, TCH_AFS5_9, TCH_AFS5_15, TCH_AFS4_75, TCH_FS, TCH_EFR }
enum | filter_mode { FILTER_LESS_OR_EQUAL, FILTER_GREATER_OR_EQUAL }
enum | subslot_filter_mode { SS_FILTER_SDCCH8, SS_FILTER_SDCCH4 }
enum | splitter_mode { SPLITTER_SDCCH8, SPLITTER_SDCCH4 }
enum | filter_policy { FILTER_POLICY_DEFAULT, FILTER_POLICY_PASS_ALL, FILTER_POLICY_DROP_ALL }
enum | um_radio_link_direction { downlink =0, uplink =1 }

## Functions
GRGSM_API const std::string | build_date ()
| return date/time of build, as set when 'cmake' is run More...
GRGSM_API const std::string | version ()
| return version string defined by cmake (GrVersion.cmake) More...
GRGSM_API const std::string | major_version ()
| return just the major version defined by cmake More...
GRGSM_API const std::string | api_version ()
| return just the api version defined by cmake More...
GRGSM_API const std::string | minor_version ()
| return just the minor version defined by cmake More...
GRGSM_API const std::string | maint_version ()
| return just the maint version defined by cmake More...

## Variables
gr::gsm::burst_file_sink | __attribute__

## Typedef Documentation

## ◆ chan_info_map

typedef std::map<unsigned int, chan_info> gr::gsm::chan_info_map

## ◆ immediate_assignment_map

typedef std::map<uint32_t, immediate_assignment> gr::gsm::immediate_assignment_map

## Enumeration Type Documentation

## ◆ filter_mode

enum gr::gsm::filter_mode

Enumerator
FILTER_LESS_OR_EQUAL |
FILTER_GREATER_OR_EQUAL |

## ◆ filter_policy

enum gr::gsm::filter_policy

Enumerator
FILTER_POLICY_DEFAULT |
FILTER_POLICY_PASS_ALL |
FILTER_POLICY_DROP_ALL |

## ◆ splitter_mode

enum gr::gsm::splitter_mode

Enumerator
SPLITTER_SDCCH8 |
SPLITTER_SDCCH4 |

## ◆ subslot_filter_mode

enum gr::gsm::subslot_filter_mode

Enumerator
SS_FILTER_SDCCH8 |
SS_FILTER_SDCCH4 |

## ◆ tch_mode

enum gr::gsm::tch_mode

Enumerator
TCH_AFS12_2 |
TCH_AFS10_2 |
TCH_AFS7_95 |
TCH_AFS7_4 |
TCH_AFS6_7 |
TCH_AFS5_9 |
TCH_AFS5_15 |
TCH_AFS4_75 |
TCH_FS |
TCH_EFR |

## ◆ um_radio_link_direction

enum gr::gsm::um_radio_link_direction

Enumerator
downlink |
uplink |

## Function Documentation

## ◆ api_version()

GRGSM_API const std::string gr::gsm::api_version | ( |  | ) |

return just the api version defined by cmake

## ◆ build_date()

GRGSM_API const std::string gr::gsm::build_date | ( |  | ) |

return date/time of build, as set when 'cmake' is run

## ◆ maint_version()

GRGSM_API const std::string gr::gsm::maint_version | ( |  | ) |

return just the maint version defined by cmake

## ◆ major_version()

GRGSM_API const std::string gr::gsm::major_version | ( |  | ) |

return just the major version defined by cmake

## ◆ minor_version()

GRGSM_API const std::string gr::gsm::minor_version | ( |  | ) |

return just the minor version defined by cmake

## ◆ version()

GRGSM_API const std::string gr::gsm::version | ( |  | ) |

return version string defined by cmake (GrVersion.cmake)

## Variable Documentation

## ◆ __attribute__

gr::gsm::burst_file_sink gr::gsm::__attribute__